package org.itqop.chatit.utils;

public enum ProfanityMode {
    OFF,
    REGEX,
    API;

    public static ProfanityMode fromString(String mode) {
        return switch (mode.toLowerCase()) {
            case "off" -> OFF;
            case "regex" -> REGEX;
            case "api" -> API;
            default -> throw new IllegalArgumentException("Неверный режим проверки мата: " + mode);
        };
    }
}
